org.apache.ignite.internal.processors.rest.client.message

## Class GridClientTopologyRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientTopologyRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientTopologyRequest
    extends GridClientAbstractMessage

`Topology` command request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientTopologyRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `includeAttributes()`
`void` `includeAttributes(boolean includeAttrs)`
`boolean` `includeMetrics()`
`void` `includeMetrics(boolean includeMetrics)`
`UUID` `nodeId()`
`void` `nodeId(UUID nodeId)`
`String` `nodeIp()`
`void` `nodeIp(String nodeIp)`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientTopologyRequest

    public GridClientTopologyRequest()

### Method Detail

#### includeMetrics

    public boolean includeMetrics()

Returns:
  Include metrics flag.

#### includeMetrics

    public void includeMetrics(boolean includeMetrics)

Parameters:
  `includeMetrics` - Include metrics flag.

#### includeAttributes

    public boolean includeAttributes()

Returns:
  Include node attributes flag.

#### includeAttributes

    public void includeAttributes(boolean includeAttrs)

Parameters:
  `includeAttrs` - Include node attributes flag.

#### nodeId

    public UUID nodeId()

Returns:
  Node identifier, if specified, `null` otherwise.

#### nodeId

    public void nodeId(UUID nodeId)

Parameters:
  `nodeId` - Node identifier to lookup.

#### nodeIp

    public String nodeIp()

Returns:
  Node ip address if specified, `null` otherwise.

#### nodeIp

    public void nodeIp(String nodeIp)

Parameters:
  `nodeIp` - Node ip address to lookup.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021